Skip to content
  • SharedTemplateQueryParameters
  • class Esri::ArcGISRuntime::SharedTemplateQueryParameters

    Parameters used for querying templates that can create one or more features in the database. More...

    Header: #include <SharedTemplateQueryParameters.h>
    Since: Esri::ArcGISRuntime 300.0
    Inherits: Esri::ArcGISRuntime::Object

    Public Functions

    SharedTemplateQueryParameters(QObject *parent = nullptr)
    virtual ~SharedTemplateQueryParameters() override
    QList<qint64> layerIds() const
    bool restrictToReferencedLayers() const
    bool returnVisibleOnly() const
    void setLayerIds(const QList<qint64> &layerIds)
    void setRestrictToReferencedLayers(bool restrictToReferencedLayers)
    void setReturnVisibleOnly(bool returnVisibleOnly)
    void setSourceType(Esri::ArcGISRuntime::SharedTemplateQuerySourceType sourceType)
    void setTags(const QStringList &tags)
    void setTemplateIds(const QList<qint64> &templateIds)
    Esri::ArcGISRuntime::SharedTemplateQuerySourceType sourceType() const
    QStringList tags() const
    QList<qint64> templateIds() const

    Detailed Description

    These parameters provide criteria that define a template or layer, restrict by reference or visibility, and include tags to filter the templates returned.

    Templates from SharedTemplateQuerySourceType::Layer source can only be filtered by the layerIds. The rest of the parameters here are not applicable.

    Member Function Documentation

    [explicit] SharedTemplateQueryParameters::SharedTemplateQueryParameters(QObject *parent = nullptr)

    Creates shared template query parameters.

    • parent - The optional parent QObject.

    [override virtual noexcept] SharedTemplateQueryParameters::~SharedTemplateQueryParameters()

    Destructor.

    QList<qint64> SharedTemplateQueryParameters::layerIds() const

    Returns the collection of IDs that identify layers where the templates can be used.

    Required when templateIds is not specified.

    See also setLayerIds() and SharedTemplate::layerIds.

    bool SharedTemplateQueryParameters::restrictToReferencedLayers() const

    Returns true to only return templates with all parts specified in the layerIds; otherwise, false. Default is true.

    When set to true, a template is returned only if the layers for the primary feature and its template parts are all included in the layerIds.

    When set to false, a template is returned as long the layer for the primary feature is included in the layerIds.

    This parameter is relevant only when layerIds is not empty and the sourceType is SharedTemplateQuerySourceType::Database or SharedTemplateQuerySourceType::All.

    See also setRestrictToReferencedLayers().

    bool SharedTemplateQueryParameters::returnVisibleOnly() const

    Returns true to return only the visible templates; otherwise, false. Default is true.

    When set to true, a template is returned only when visible. When set to false, a template is returned regardless of its visibility.

    This parameter is relevant only when the sourceType is SharedTemplateQuerySourceType::Database or SharedTemplateQuerySourceType::All.

    See also setReturnVisibleOnly() and SharedTemplate::isVisible.

    void SharedTemplateQueryParameters::setLayerIds(const QList<qint64> &layerIds)

    Sets the layerIds to layerIds.

    See also layerIds.

    void SharedTemplateQueryParameters::setRestrictToReferencedLayers(bool restrictToReferencedLayers)

    Sets the restrictToReferencedLayers to restrictToReferencedLayers.

    See also restrictToReferencedLayers.

    void SharedTemplateQueryParameters::setReturnVisibleOnly(bool returnVisibleOnly)

    Sets the returnVisibleOnly to returnVisibleOnly.

    See also returnVisibleOnly.

    void SharedTemplateQueryParameters::setSourceType(Esri::ArcGISRuntime::SharedTemplateQuerySourceType sourceType)

    Sets the sourceType to sourceType.

    See also sourceType.

    void SharedTemplateQueryParameters::setTags(const QStringList &tags)

    Sets the tags to tags.

    See also tags.

    void SharedTemplateQueryParameters::setTemplateIds(const QList<qint64> &templateIds)

    Sets the templateIds to templateIds.

    See also templateIds.

    Esri::ArcGISRuntime::SharedTemplateQuerySourceType SharedTemplateQueryParameters::sourceType() const

    Specifies and returns the source of templates for this query. Default is SharedTemplateQuerySourceType::Database.

    Use this property to optionally return the FeatureTemplate collection from the table or layer in the result for the SharedTemplateSource::querySharedTemplatesAsync(Esri::ArcGISRuntime::SharedTemplateQueryParameters*, QObject*).

    See also setSourceType().

    QStringList SharedTemplateQueryParameters::tags() const

    Returns queries for templates with any of the matching tags.

    Applicable only for templates returned from SharedTemplateQuerySourceType::Database source.

    See also setTags() and SharedTemplate::tags.

    QList<qint64> SharedTemplateQueryParameters::templateIds() const

    Returns a collection of IDs of templates to fetch.

    Required when layerIds is not specified. Applicable only for templates returned from SharedTemplateQuerySourceType::Database source.

    See also setTemplateIds() and SharedTemplate::templateId.

    Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.